<?php

namespace jrosset\CommandLine\Argument\Option;

use InvalidArgumentException;
use jrosset\CommandLine\Argument\AbstractArgumentList;

/**
 * A list of value arguments
 */
class OptionArgumentList extends AbstractArgumentList {
    /**
     * @inheritDoc
     */
    protected function checkArrayElementType ($key, $element): void {
        if (!$element instanceof IOptionArgument) {
            throw new InvalidArgumentException('The "' . $key . '" element is not a ' . IOptionArgument::class . ' instance');
        }
    }
}