<?php
/**
 * Déclaration de la classe CommandLine\Argument\Parser\StringParser
 */
namespace jrosset\CommandLine\Argument\Parser;

/**
 * Parseur vers une chaine de caractères
 *
 * @package      CommandLine\Argument\Parser
 *
 * @noinspection PhpUnused
 */
class StringParser implements IParser {
    /**
     * @inheritDoc
     */
    public function parseValue (string $val) {
        return $val;
    }

    /**
     * @inheritDoc
     */
    public function getValueDescription (): string {
        return 'string';
    }
}