<?php

namespace jrosset\CommandLine\Argument\Value;

use InvalidArgumentException;
use jrosset\CommandLine\Argument\AbstractArgumentList;

/**
 * A list of value arguments
 */
class ValueArgumentList extends AbstractArgumentList {
    /**
     * @inheritDoc
     */
    protected function checkArrayElementType ($key, $element): void {
        if (!$element instanceof IValueArgument) {
            throw new InvalidArgumentException('The "' . $key . '" element is not a ' . IValueArgument::class . ' instance');
        }
    }
}