<?php

namespace jrosset\CommandLine\ReturnCode;

/**
 * Interface for a return code
 */
interface IReturnCode {
    /**
     * The returned code
     *
     * @return int The returned code
     */
    public function getCode (): int;
    /**
     * The description of the return code
     *
     * @return string|null The description of the return code
     */
    public function getDescription (): ?string;
}